summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Alex Lysenka <me@alkos333.net>2010-05-11 14:55:19 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 14:55:19 +0200
commit5b997fac93baa140b79ca01527c3e2e03821ef48 (patch)
tree7a4ce1cd44ad75bee70c8e6ebb44f8608dadc204 /graphics
parent85072a8182b19dbc99beb990ae2ad816c581d0ea (diff)
downloadslackbuilds-5b997fac93baa140b79ca01527c3e2e03821ef48.tar.gz
slackbuilds-5b997fac93baa140b79ca01527c3e2e03821ef48.tar.xz
graphics/vbetool: Initial import
Diffstat (limited to 'graphics')
-rw-r--r--graphics/vbetool/README7
-rw-r--r--graphics/vbetool/slack-desc11
-rw-r--r--graphics/vbetool/vbetool.SlackBuild57
-rw-r--r--graphics/vbetool/vbetool.info8
4 files changed, 83 insertions, 0 deletions
diff --git a/graphics/vbetool/README b/graphics/vbetool/README
new file mode 100644
index 0000000000..69821cc301
--- /dev/null
+++ b/graphics/vbetool/README
@@ -0,0 +1,7 @@
+vbetool uses lrmi in order to run code from the video BIOS. Currently,
+it is able to alter DPMS states, save/restore video card state, and
+attempt to initialize the video card from scratch. It exists primarily
+in order to increase the chances of successfully recovering video state
+after an ACPI S3 suspend.
+
+Homepage: http://www.srcf.ucam.org/~mjg59/vbetool/
diff --git a/graphics/vbetool/slack-desc b/graphics/vbetool/slack-desc
new file mode 100644
index 0000000000..9e155878d1
--- /dev/null
+++ b/graphics/vbetool/slack-desc
@@ -0,0 +1,11 @@
+ |-----handy-ruler------------------------------------------------------|
+vbetool: vbetool (run real-mode video BIOS code to alter the hardware state)
+vbetool:
+vbetool: vbetool uses lrmi in order to run code from the video BIOS.
+vbetool: Currently, it is able to alter DPMS states, save/restore video card
+vbetool: state, and attempt to initialize the video card from scratch. It
+vbetool: exists primarily in order to increase the chances of successfully
+vbetool: recovering video state after an ACPI S3 suspend.
+vbetool:
+vbetool: Homepage: http://www.srcf.ucam.org/~mjg59/vbetool/
+vbetool:
diff --git a/graphics/vbetool/vbetool.SlackBuild b/graphics/vbetool/vbetool.SlackBuild
new file mode 100644
index 0000000000..4267df38fe
--- /dev/null
+++ b/graphics/vbetool/vbetool.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Build script for vbetool
+# Written by Alex Lysenka <me@alkos333.net>
+
+# Modified by the SlackBuilds.org project
+set -e
+
+PRGNAM=vbetool
+VERSION=0.7
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/${PRGNAM}_${VERSION}-1.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAG="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sbindir=/usr/bin \
+ --mandir=/usr/man
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp COPYING LRMI $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/vbetool/vbetool.info b/graphics/vbetool/vbetool.info
new file mode 100644
index 0000000000..b9d1801f95
--- /dev/null
+++ b/graphics/vbetool/vbetool.info
@@ -0,0 +1,8 @@
+PRGNAM="vbetool"
+VERSION="0.7"
+HOMEPAGE="http://www.srcf.ucam.org/~mjg59/vbetool/"
+DOWNLOAD="http://www.srcf.ucam.org/~mjg59/vbetool/vbetool_0.7-1.tar.gz"
+MD5SUM="1756f2e71ceaef217220e8e482fce835"
+MAINTAINER="Alex Lysenka"
+EMAIL="me@alkos333.net"
+APPROVED="BP{k}"